from transformers.models.bert.configuration_bert import BertConfig

"""
This file contains Configs for temporal models.
Each Config class inherits from its non-temporal Config.

    times (:obj:`List[int]`, `optional`, defaults to `None`):
        List of time points.
"""


class TemporalBertConfig(BertConfig):
    model_type = "temporal_bert"

    def __init__(self, times=None, **kwargs):
        super().__init__(**kwargs)
        self.init_tempo_config(times)
